---
# docker-compose file for graylog
# DOCKER_HOST=dkhost03:2376 docker-compose up -d
# DOCKER_HOST=dkhost03:2376 docker stack deploy -c docker-compose.yml services

version: '3'
services:

  mongo:
    image: "mongo:3"
    volumes:
      - /opt/shared/graylog/data/mongo:/data/db
#    ports:
#      - "27017:27017"
    networks:
      default:
        aliases:
          - nosql

#    logging:
#      driver: gelf
#      options:
#        gelf-address: "udp://logs.xai-corp.net:12201"

    deploy:
      mode: replicated
      replicas: 1
      restart_policy:
        condition: any
        delay: "1s"
        max_attempts: 3
      resources:
        limits:
          cpus: '0.5'
          memory: 512M

networks:
  default:
    external:
      name: prod
